Subject: bug#76953: closed (Re: bug#76953: Latest elpa track-changes 1.3 uses incf which does not exist in Emacs < 31)

From: [email-masked] (GNU bug Tracking System)
Date: Wed, 12 Mar 2025 00:19:02 +0000

Your bug report

#76953: Latest elpa track-changes 1.3 uses incf which does not exist in Emacs < 31

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
76953: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=76953
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#76953: Latest elpa track-changes 1.3 uses incf which does not exist in Emacs < 31
From: Stefan Kangas <[email-masked]>
To: Ship Mints <[email-masked]>, [email-masked]
Cc: Stefan Monnier <[email-masked]>
Date: Tue, 11 Mar 2025 17:18:25 -0700
List-Id: <debbugs-submit.debbugs.gnu.org>

Ship Mints <[email-masked]> writes:

> Second package released a couple of days that refers to future features.
>
> track-changes says:
>
> ;; Package-Requires: ((emacs "24"))
>
> Is there an ELPA infrastructure testing regime, across at least a couple of
> supported Emacs releases, that these packages should be passing?  I guess,
> like my little ELPA package, it's author's honor.

Thanks for the bug report.

This should now be fixed, and I've bumped the version of track-changes
accordingly, so it should be released on GNU ELPA within 24 hours.

Subject: Latest elpa track-changes 1.3 uses incf which does not exist in Emacs < 31
From: Ship Mints <[email-masked]>
To: [email-masked]
Date: Tue, 11 Mar 2025 14:53:29 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

Second package released a couple of days that refers to future features.

track-changes says:

;; Package-Requires: ((emacs "24"))

Is there an ELPA infrastructure testing regime, across at least a couple of
supported Emacs releases, that these packages should be passing?  I guess,
like my little ELPA package, it's author's honor.

-Stephane